/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2014 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/******************************************************************************
* File Name    : GWP0700CNWV04.h
* Description  : LCD panel for vdc5 channel 0 definition header
******************************************************************************/
#ifndef GWP0700CNWV04_H
#define GWP0700CNWV04_H


#define GWP0700CNWV04
#ifdef GWP0700CNWV04


/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include "r_vdc5.h"
#include "r_typedefs.h"

/******************************************************************************
Macro definitions
******************************************************************************/

#define	LCD_thp		(1u)		// horizontal pulse width.
#define LCD_thb		(46u)		// horizontal back porch.
#define LCD_thf		(16u)		// horizontal front porch.
#define LCD_thd		(800u)		// horizontal display area.
#define LCD_th		(LCD_thb + LCD_thf + LCD_thd)
#if ((LCD_th < 862) | (LCD_th > 1200))
#error "LCD_th out of range"
#endif


#define	LCD_tvp		(1u)		//   vertical pulse width.
#define LCD_tvb		(23u)		//   vertical back porch.
#define LCD_tvf		(7u)		//   vertical front porch.
#define LCD_tvd		(480u)		//   vertical display area.
#define LCD_tv		(LCD_tvb + LCD_tvf + LCD_tvd)
#if ((LCD_tv < 510) | (LCD_tv > 650))
#error "LCD_tv out of range"
#endif




/******************************************************************************
Typedef definitions
******************************************************************************/

/******************************************************************************
Exported global functions (to be accessed by other files)
******************************************************************************/
vdc5_error_t InitVDC5(void* FrameBufferAddress, uint16_t FrameBufferWidth, uint16_t FrameBufferHeight, vdc5_gr_format_t vdc5_gr_format);
void TouchDisplayUpdate(void);
int GetTouchPosition( int aNo, int* aX, int* aY, int* aId );

#endif
#endif
