/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2013 - 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/***********************************************************************
* File: RGA.h
*    Graphics Library Main Header File
*
* - $Version: $ (=RGA_VERSION)
* - $ModuleRevision: {Masters}\RGA\driver\RZ\31_NoWindowNoWorkB_RStyled $
* - $Rev: $
* - $Date: 2017-08-21T13:46:41+09:00 $
************************************************************************/


/* This is RGA MAIN header file */

#ifndef  RGA_H
#define  RGA_H

#include  "RGA_Config.h"

#include  "r_ospl.h"
#include  "r_typedefs.h"
#include  "RGA_Port.h"

#include  "RGA_API.h"

#ifdef  __cplusplus
#include  "RGA_Cpp.h"
#endif


/* Sample window surfaces library */
#include  "RGA_raw_image.h"
#include  "frame_buffer.h"
#if RGA_HAS_WINDOW_SURFACES
#include  "window_surfaces.h"
#ifdef  __cplusplus
#include  "window_surfaces.hpp"
#endif
#include  "vsync.h"
#endif
#if RGA_HAS_VIDEO_INPUT
#include  "video_input.h"
#ifdef  __cplusplus
#include  "video_input.hpp"
#endif
#endif


#endif  /* RGA_H */
