/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2013 - 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/***********************************************************************
* File: RGA_Config.h
*    Graphics Library. This file is included from "Project_Config.h"
*
* - $Version: $ (=RGA_VERSION)
* - $ModuleRevision: {Masters}\RGA\driver\RZ\31_NoWindowNoWorkB_RStyled $
* - $Rev: $
* - $Date: 2017-08-21T14:23:50+09:00 $
************************************************************************/

#ifndef  RGA_CONFIG_H
#define  RGA_CONFIG_H


/***********************************************************************
* Macro: RGA_VERSION
************************************************************************/
#define  RGA_VERSION  310


/***********************************************************************
* Macro: RGA_VERSION_STRING
************************************************************************/
#define  RGA_VERSION_STRING  "3.10"


/***********************************************************************
* Macro: GSCE_VERSION
************************************************************************/
#define  GSCE_VERSION  402


/***********************************************************************
* Define: RGA_RENDERER_IS
************************************************************************/
#define  RGA_RENDERER_IS  RGA_RENDERER_IS_RGAH
#define  RGA_RENDERER_IS_RGAH  1
#define  RGA_RENDERER_IS_RGAS  2

#if  RGA_RENDERER_IS == RGA_RENDERER_IS_RGAH
#define  RGAH_VERSION   111  /* Define: RGAH_VERSION */
#define  RGPVG_VERSION  200  /* Define: RGPVG_VERSION */

#elif  RGA_RENDERER_IS == RGA_RENDERER_IS_RGAS
#define  RGAS_VERSION   203  /* Define: RGAS_VERSION */
#define  RGPVG_VERSION  200
/* Define: RGPVG_VERSION */
/*    200 = ARM FPU */

#else
#error
#endif


/***********************************************************************
* Define: RGA_HAS_WINDOW_SURFACES
*    0 or 1
************************************************************************/
#define  RGA_HAS_WINDOW_SURFACES  0


/***********************************************************************
* Define: RGA_HAS_VIDEO_INPUT
*    0 or 1
************************************************************************/
#define  RGA_HAS_VIDEO_INPUT  0


/***********************************************************************
* Macros: RGA_LIMITATION_*
*    0 or 1
************************************************************************/
#ifdef  RGAH_VERSION
#define  RGA_LIMITATION_01_MATRIXED_IMAGE_STRIDE  1
#define  RGA_LIMITATION_02_XRGB8888_BLEND         0
#define  RGA_LIMITATION_03_INIT_BMP               1
#define  RGA_LIMITATION_04_AYNCHRONOOUS_JCU       1
#define  RGA_LIMITATION_06_COLOR_LITTLE_ERROR     1
#define  RGA_LIMITATION_07_DRAWIMAGE_VERTEX_ERR   1
#define  RGA_LIMITATION_08_OPTIMIZATION_ERR       0
#define  RGA_LIMITATION_09_RGAH_BITBLT_CLIP       1
#define  RGA_LIMITATION_11_SOURCE_FLUSH_B         0
#else
#define  RGA_LIMITATION_01_MATRIXED_IMAGE_STRIDE  0
#define  RGA_LIMITATION_02_XRGB8888_BLEND         0
#define  RGA_LIMITATION_03_INIT_BMP               0
#define  RGA_LIMITATION_04_AYNCHRONOOUS_JCU       1
#define  RGA_LIMITATION_06_COLOR_LITTLE_ERROR     0
#define  RGA_LIMITATION_07_DRAWIMAGE_VERTEX_ERR   1
#define  RGA_LIMITATION_08_OPTIMIZATION_ERR       0
#define  RGA_LIMITATION_09_RGAH_BITBLT_CLIP       0
#define  RGA_LIMITATION_11_SOURCE_FLUSH_B         0
#endif


#endif  /* RGA_CONFIG_H */
