/*
* Copyright 2015 Giancarlo Parodi
*
* start.s
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

    .text
    .arm

    .global vector_table

    .weak undefined_handler
    .weak FreeRTOS_SWI_Handler
    .weak prefetch_handler
    .weak abort_handler
    .weak reserved_handler
    .weak FreeRTOS_IRQ_Handler
    .weak fiq_handler

vector_table:
    LDR pc, =reset_handler
    LDR pc, =undefined_handler
    LDR pc, =FreeRTOS_SWI_Handler
    LDR pc, =prefetch_handler
    LDR pc, =abort_handler
    LDR pc, =reserved_handler
    LDR pc, =FreeRTOS_IRQ_Handler
    LDR pc, =fiq_handler


undefined_handler:
    B    undefined_handler

FreeRTOS_SWI_Handler:
    B    FreeRTOS_SWI_Handler

prefetch_handler:
    B    prefetch_handler

abort_handler:
    B    abort_handler

reserved_handler:
    B    reserved_handler

FreeRTOS_IRQ_Handler:
    B    FreeRTOS_IRQ_Handler

fiq_handler:
    B    fiq_handler


   .align
   .end

